<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<div id="titlepage">
  <p class="title">
    Bitmaps and NBD: Building Blocks of Change Block Tracking
  </p>

  <p class="author">
    Eric Blake <small>(eblake @ redhat.com)</small> <br>
    <small>15:30 Friday October 30th, 2020</small>
  </p>

  <p class="abstract">
    Incremental backups depend on change block tracking: if you know
    which portions of a disk image have changed, you can optimize your
    backups to visit just those portions.  This talk explores how qemu
    uses <b>qcow2 dirty bitmaps</b> to track changed blocks, and how
    the <b>Network Block Device (NBD) protocol</b> can then expose
    that for use in backup scenarios.
  </p>
</div>
